Generation Framework

## org.eclipse.gmf.codegen.gmfgen.util
Class GMFGenSwitch

    java.lang.Object
      org.eclipse.gmf.codegen.gmfgen.util.GMFGenSwitch

public class GMFGenSwitch
extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`protected static GMFGenPackage` `modelPackage` The cached model package

Constructor Summary
`GMFGenSwitch()` Creates an instance of the switch

Method Summary
`java.lang.Object` `caseAttributes(Attributes object)` Returns the result of interpretting the object as an instance of 'Attributes'
`java.lang.Object` `caseBatchValidation(BatchValidation object)` Returns the result of interpretting the object as an instance of 'Batch Validation'
`java.lang.Object` `caseColorAttributes(ColorAttributes object)` Returns the result of interpretting the object as an instance of 'Color Attributes'
`java.lang.Object` `caseCompositeFeatureLabelModelFacet(CompositeFeatureLabelModelFacet object)` Returns the result of interpretting the object as an instance of 'Composite Feature Label Model Facet'
`java.lang.Object` `caseCompositeFeatureModelFacet(CompositeFeatureModelFacet object)` Returns the result of interpretting the object as an instance of 'Composite Feature Model Facet'
`java.lang.Object` `caseDefaultSizeAttributes(DefaultSizeAttributes object)` Returns the result of interpretting the object as an instance of 'Default Size Attributes'
`java.lang.Object` `caseDesignLabelModelFacet(DesignLabelModelFacet object)` Returns the result of interpretting the object as an instance of 'Design Label Model Facet'
`java.lang.Object` `caseEditorCandies(EditorCandies object)` Returns the result of interpretting the object as an instance of 'Editor Candies'
`java.lang.Object` `caseEditPartCandies(EditPartCandies object)` Returns the result of interpretting the object as an instance of 'Edit Part Candies'
`java.lang.Object` `caseElementType(ElementType object)` Returns the result of interpretting the object as an instance of 'Element Type'
`java.lang.Object` `caseEntryBase(EntryBase object)` Returns the result of interpretting the object as an instance of 'Entry Base'
`java.lang.Object` `caseFeatureLabelModelFacet(FeatureLabelModelFacet object)` Returns the result of interpretting the object as an instance of 'Feature Label Model Facet'
`java.lang.Object` `caseFeatureLinkModelFacet(FeatureLinkModelFacet object)` Returns the result of interpretting the object as an instance of 'Feature Link Model Facet'
`java.lang.Object` `caseFeatureModelFacet(FeatureModelFacet object)` Returns the result of interpretting the object as an instance of 'Feature Model Facet'
`java.lang.Object` `caseFigureViewmap(FigureViewmap object)` Returns the result of interpretting the object as an instance of 'Figure Viewmap'
`java.lang.Object` `caseGenAuditable(GenAuditable object)` Returns the result of interpretting the object as an instance of 'Gen Auditable'
`java.lang.Object` `caseGenAuditContainer(GenAuditContainer object)` Returns the result of interpretting the object as an instance of 'Gen Audit Container'
`java.lang.Object` `caseGenAuditedMetricTarget(GenAuditedMetricTarget object)` Returns the result of interpretting the object as an instance of 'Gen Audited Metric Target'
`java.lang.Object` `caseGenAuditRule(GenAuditRule object)` Returns the result of interpretting the object as an instance of 'Gen Audit Rule'
`java.lang.Object` `caseGenChildContainer(GenChildContainer object)` Returns the result of interpretting the object as an instance of 'Gen Child Container'
`java.lang.Object` `caseGenChildLabelNode(GenChildLabelNode object)` Returns the result of interpretting the object as an instance of 'Gen Child Label Node'
`java.lang.Object` `caseGenChildNode(GenChildNode object)` Returns the result of interpretting the object as an instance of 'Gen Child Node'
`java.lang.Object` `caseGenCommonBase(GenCommonBase object)` Returns the result of interpretting the object as an instance of 'Gen Common Base'
`java.lang.Object` `caseGenCompartment(GenCompartment object)` Returns the result of interpretting the object as an instance of 'Gen Compartment'
`java.lang.Object` `caseGenConstraint(GenConstraint object)` Returns the result of interpretting the object as an instance of 'Gen Constraint'
`java.lang.Object` `caseGenContainerBase(GenContainerBase object)` Returns the result of interpretting the object as an instance of 'Gen Container Base'
`java.lang.Object` `caseGenDiagram(GenDiagram object)` Returns the result of interpretting the object as an instance of 'Gen Diagram'
`java.lang.Object` `caseGenDiagramElementTarget(GenDiagramElementTarget object)` Returns the result of interpretting the object as an instance of 'Gen Diagram Element Target'
`java.lang.Object` `caseGenDomainAttributeTarget(GenDomainAttributeTarget object)` Returns the result of interpretting the object as an instance of 'Gen Domain Attribute Target'
`java.lang.Object` `caseGenDomainElementTarget(GenDomainElementTarget object)` Returns the result of interpretting the object as an instance of 'Gen Domain Element Target'
`java.lang.Object` `caseGenEditorGenerator(GenEditorGenerator object)` Returns the result of interpretting the object as an instance of 'Gen Editor Generator'
`java.lang.Object` `caseGenEditorView(GenEditorView object)` Returns the result of interpretting the object as an instance of 'Gen Editor View'
`java.lang.Object` `caseGenElementInitializer(GenElementInitializer object)` Returns the result of interpretting the object as an instance of 'Gen Element Initializer'
`java.lang.Object` `caseGenExpressionInterpreter(GenExpressionInterpreter object)` Returns the result of interpretting the object as an instance of 'Gen Expression Interpreter'
`java.lang.Object` `caseGenExpressionProviderBase(GenExpressionProviderBase object)` Returns the result of interpretting the object as an instance of 'Gen Expression Provider Base'
`java.lang.Object` `caseGenExpressionProviderContainer(GenExpressionProviderContainer object)` Returns the result of interpretting the object as an instance of 'Gen Expression Provider Container'
`java.lang.Object` `caseGenExternalNodeLabel(GenExternalNodeLabel object)` Returns the result of interpretting the object as an instance of 'Gen External Node Label'
`java.lang.Object` `caseGenFeatureSeqInitializer(GenFeatureSeqInitializer object)` Returns the result of interpretting the object as an instance of 'Gen Feature Seq Initializer'
`java.lang.Object` `caseGenFeatureValueSpec(GenFeatureValueSpec object)` Returns the result of interpretting the object as an instance of 'Gen Feature Value Spec'
`java.lang.Object` `caseGenJavaExpressionProvider(GenJavaExpressionProvider object)` Returns the result of interpretting the object as an instance of 'Gen Java Expression Provider'
`java.lang.Object` `caseGenLabel(GenLabel object)` Returns the result of interpretting the object as an instance of 'Gen Label'
`java.lang.Object` `caseGenLink(GenLink object)` Returns the result of interpretting the object as an instance of 'Gen Link'
`java.lang.Object` `caseGenLinkConstraints(GenLinkConstraints object)` Returns the result of interpretting the object as an instance of 'Gen Link Constraints'
`java.lang.Object` `caseGenLinkLabel(GenLinkLabel object)` Returns the result of interpretting the object as an instance of 'Gen Link Label'
`java.lang.Object` `caseGenMeasurable(GenMeasurable object)` Returns the result of interpretting the object as an instance of 'Gen Measurable'
`java.lang.Object` `caseGenMetricContainer(GenMetricContainer object)` Returns the result of interpretting the object as an instance of 'Gen Metric Container'
`java.lang.Object` `caseGenMetricRule(GenMetricRule object)` Returns the result of interpretting the object as an instance of 'Gen Metric Rule'
`java.lang.Object` `caseGenNode(GenNode object)` Returns the result of interpretting the object as an instance of 'Gen Node'
`java.lang.Object` `caseGenNodeLabel(GenNodeLabel object)` Returns the result of interpretting the object as an instance of 'Gen Node Label'
`java.lang.Object` `caseGenNotationElementTarget(GenNotationElementTarget object)` Returns the result of interpretting the object as an instance of 'Gen Notation Element Target'
`java.lang.Object` `caseGenPlugin(GenPlugin object)` Returns the result of interpretting the object as an instance of 'Gen Plugin'
`java.lang.Object` `caseGenRuleBase(GenRuleBase object)` Returns the result of interpretting the object as an instance of 'Gen Rule Base'
`java.lang.Object` `caseGenRuleContainerBase(GenRuleContainerBase object)` Returns the result of interpretting the object as an instance of 'Gen Rule Container Base'
`java.lang.Object` `caseGenRuleTarget(GenRuleTarget object)` Returns the result of interpretting the object as an instance of 'Gen Rule Target'
`java.lang.Object` `caseGenTopLevelNode(GenTopLevelNode object)` Returns the result of interpretting the object as an instance of 'Gen Top Level Node'
`java.lang.Object` `caseInnerClassViewmap(InnerClassViewmap object)` Returns the result of interpretting the object as an instance of 'Inner Class Viewmap'
`java.lang.Object` `caseLabelModelFacet(LabelModelFacet object)` Returns the result of interpretting the object as an instance of 'Label Model Facet'
`java.lang.Object` `caseLabelOffsetAttributes(LabelOffsetAttributes object)` Returns the result of interpretting the object as an instance of 'Label Offset Attributes'
`java.lang.Object` `caseLinkConstraints(LinkConstraints object)` Returns the result of interpretting the object as an instance of 'Link Constraints'
`java.lang.Object` `caseLinkModelFacet(LinkModelFacet object)` Returns the result of interpretting the object as an instance of 'Link Model Facet'
`java.lang.Object` `caseMeasurementUnit(MeasurementUnit object)` Returns the result of interpretting the object as an instance of 'Measurement Unit'
`java.lang.Object` `caseMetamodelType(MetamodelType object)` Returns the result of interpretting the object as an instance of 'Metamodel Type'
`java.lang.Object` `caseModelFacet(ModelFacet object)` Returns the result of interpretting the object as an instance of 'Model Facet'
`java.lang.Object` `caseNotationType(NotationType object)` Returns the result of interpretting the object as an instance of 'Notation Type'
`java.lang.Object` `casePackageNames(PackageNames object)` Returns the result of interpretting the object as an instance of 'Package Names'
`java.lang.Object` `casePalette(Palette object)` Returns the result of interpretting the object as an instance of 'Palette'
`java.lang.Object` `caseParentAssignedViewmap(ParentAssignedViewmap object)` Returns the result of interpretting the object as an instance of 'Parent Assigned Viewmap'
`java.lang.Object` `caseProviderClassNames(ProviderClassNames object)` Returns the result of interpretting the object as an instance of 'Provider Class Names'
`java.lang.Object` `caseResizeConstraints(ResizeConstraints object)` Returns the result of interpretting the object as an instance of 'Resize Constraints'
`java.lang.Object` `caseSeparator(Separator object)` Returns the result of interpretting the object as an instance of 'Separator'
`java.lang.Object` `caseShortcuts(Shortcuts object)` Returns the result of interpretting the object as an instance of 'Shortcuts'
`java.lang.Object` `caseSnippetViewmap(SnippetViewmap object)` Returns the result of interpretting the object as an instance of 'Snippet Viewmap'
`java.lang.Object` `caseSpecializationType(SpecializationType object)` Returns the result of interpretting the object as an instance of 'Specialization Type'
`java.lang.Object` `caseStyleAttributes(StyleAttributes object)` Returns the result of interpretting the object as an instance of 'Style Attributes'
`java.lang.Object` `caseToolEntry(ToolEntry object)` Returns the result of interpretting the object as an instance of 'Tool Entry'
`java.lang.Object` `caseToolGroup(ToolGroup object)` Returns the result of interpretting the object as an instance of 'Tool Group'
`java.lang.Object` `caseToolGroupItem(ToolGroupItem object)` Returns the result of interpretting the object as an instance of 'Tool Group Item'
`java.lang.Object` `caseTypeLinkModelFacet(TypeLinkModelFacet object)` Returns the result of interpretting the object as an instance of 'Type Link Model Facet'
`java.lang.Object` `caseTypeModelFacet(TypeModelFacet object)` Returns the result of interpretting the object as an instance of 'Type Model Facet'
`java.lang.Object` `caseValueExpression(ValueExpression object)` Returns the result of interpretting the object as an instance of 'Value Expression'
`java.lang.Object` `caseViewmap(Viewmap object)` Returns the result of interpretting the object as an instance of 'Viewmap'
`java.lang.Object` `defaultCase(EObject object)` Returns the result of interpretting the object as an instance of 'EObject'
`protected java.lang.Object` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`java.lang.Object` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected java.lang.Object` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static GMFGenPackage modelPackage

  The cached model package

  ** Generated **

Constructor Detail

### GMFGenSwitch

    public GMFGenSwitch()

  Creates an instance of the switch.

** Generated **

Method Detail

### doSwitch

    public java.lang.Object doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(EClass theEClass,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### doSwitch

    protected java.lang.Object doSwitch(int classifierID,
                                        EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.
  ** Generated **

### caseGenEditorGenerator

    public java.lang.Object caseGenEditorGenerator(GenEditorGenerator object)

  Returns the result of interpretting the object as an instance of 'Gen Editor Generator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Editor Generator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagram

    public java.lang.Object caseGenDiagram(GenDiagram object)

  Returns the result of interpretting the object as an instance of 'Gen Diagram'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Diagram'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenEditorView

    public java.lang.Object caseGenEditorView(GenEditorView object)

  Returns the result of interpretting the object as an instance of 'Gen Editor View'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Editor View'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseBatchValidation

    public java.lang.Object caseBatchValidation(BatchValidation object)

  Returns the result of interpretting the object as an instance of 'Batch Validation'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Batch Validation'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseProviderClassNames

    public java.lang.Object caseProviderClassNames(ProviderClassNames object)

  Returns the result of interpretting the object as an instance of 'Provider Class Names'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Provider Class Names'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseShortcuts

    public java.lang.Object caseShortcuts(Shortcuts object)

  Returns the result of interpretting the object as an instance of 'Shortcuts'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Shortcuts'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePackageNames

    public java.lang.Object casePackageNames(PackageNames object)

  Returns the result of interpretting the object as an instance of 'Package Names'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Package Names'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkConstraints

    public java.lang.Object caseLinkConstraints(LinkConstraints object)

  Returns the result of interpretting the object as an instance of 'Link Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Link Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEditorCandies

    public java.lang.Object caseEditorCandies(EditorCandies object)

  Returns the result of interpretting the object as an instance of 'Editor Candies'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Editor Candies'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEditPartCandies

    public java.lang.Object caseEditPartCandies(EditPartCandies object)

  Returns the result of interpretting the object as an instance of 'Edit Part Candies'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Edit Part Candies'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMeasurementUnit

    public java.lang.Object caseMeasurementUnit(MeasurementUnit object)

  Returns the result of interpretting the object as an instance of 'Measurement Unit'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Measurement Unit'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenPlugin

    public java.lang.Object caseGenPlugin(GenPlugin object)

  Returns the result of interpretting the object as an instance of 'Gen Plugin'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Plugin'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseElementType

    public java.lang.Object caseElementType(ElementType object)

  Returns the result of interpretting the object as an instance of 'Element Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Element Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseMetamodelType

    public java.lang.Object caseMetamodelType(MetamodelType object)

  Returns the result of interpretting the object as an instance of 'Metamodel Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Metamodel Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSpecializationType

    public java.lang.Object caseSpecializationType(SpecializationType object)

  Returns the result of interpretting the object as an instance of 'Specialization Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Specialization Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseNotationType

    public java.lang.Object caseNotationType(NotationType object)

  Returns the result of interpretting the object as an instance of 'Notation Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Notation Type'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCommonBase

    public java.lang.Object caseGenCommonBase(GenCommonBase object)

  Returns the result of interpretting the object as an instance of 'Gen Common Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Common Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenContainerBase

    public java.lang.Object caseGenContainerBase(GenContainerBase object)

  Returns the result of interpretting the object as an instance of 'Gen Container Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Container Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNode

    public java.lang.Object caseGenNode(GenNode object)

  Returns the result of interpretting the object as an instance of 'Gen Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenTopLevelNode

    public java.lang.Object caseGenTopLevelNode(GenTopLevelNode object)

  Returns the result of interpretting the object as an instance of 'Gen Top Level Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Top Level Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildNode

    public java.lang.Object caseGenChildNode(GenChildNode object)

  Returns the result of interpretting the object as an instance of 'Gen Child Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Child Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildLabelNode

    public java.lang.Object caseGenChildLabelNode(GenChildLabelNode object)

  Returns the result of interpretting the object as an instance of 'Gen Child Label Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Child Label Node'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenCompartment

    public java.lang.Object caseGenCompartment(GenCompartment object)

  Returns the result of interpretting the object as an instance of 'Gen Compartment'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Compartment'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenChildContainer

    public java.lang.Object caseGenChildContainer(GenChildContainer object)

  Returns the result of interpretting the object as an instance of 'Gen Child Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Child Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLink

    public java.lang.Object caseGenLink(GenLink object)

  Returns the result of interpretting the object as an instance of 'Gen Link'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Link'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLabel

    public java.lang.Object caseGenLabel(GenLabel object)

  Returns the result of interpretting the object as an instance of 'Gen Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNodeLabel

    public java.lang.Object caseGenNodeLabel(GenNodeLabel object)

  Returns the result of interpretting the object as an instance of 'Gen Node Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Node Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExternalNodeLabel

    public java.lang.Object caseGenExternalNodeLabel(GenExternalNodeLabel object)

  Returns the result of interpretting the object as an instance of 'Gen External Node Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen External Node Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLinkLabel

    public java.lang.Object caseGenLinkLabel(GenLinkLabel object)

  Returns the result of interpretting the object as an instance of 'Gen Link Label'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Link Label'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseModelFacet

    public java.lang.Object caseModelFacet(ModelFacet object)

  Returns the result of interpretting the object as an instance of 'Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLinkModelFacet

    public java.lang.Object caseLinkModelFacet(LinkModelFacet object)

  Returns the result of interpretting the object as an instance of 'Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelModelFacet

    public java.lang.Object caseLabelModelFacet(LabelModelFacet object)

  Returns the result of interpretting the object as an instance of 'Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTypeModelFacet

    public java.lang.Object caseTypeModelFacet(TypeModelFacet object)

  Returns the result of interpretting the object as an instance of 'Type Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Type Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureModelFacet

    public java.lang.Object caseFeatureModelFacet(FeatureModelFacet object)

  Returns the result of interpretting the object as an instance of 'Feature Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureLabelModelFacet

    public java.lang.Object caseFeatureLabelModelFacet(FeatureLabelModelFacet object)

  Returns the result of interpretting the object as an instance of 'Feature Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompositeFeatureModelFacet

    public java.lang.Object caseCompositeFeatureModelFacet(CompositeFeatureModelFacet object)

  Returns the result of interpretting the object as an instance of 'Composite Feature Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Composite Feature Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseCompositeFeatureLabelModelFacet

    public java.lang.Object caseCompositeFeatureLabelModelFacet(CompositeFeatureLabelModelFacet object)

  Returns the result of interpretting the object as an instance of 'Composite Feature Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Composite Feature Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDesignLabelModelFacet

    public java.lang.Object caseDesignLabelModelFacet(DesignLabelModelFacet object)

  Returns the result of interpretting the object as an instance of 'Design Label Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Design Label Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseTypeLinkModelFacet

    public java.lang.Object caseTypeLinkModelFacet(TypeLinkModelFacet object)

  Returns the result of interpretting the object as an instance of 'Type Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Type Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFeatureLinkModelFacet

    public java.lang.Object caseFeatureLinkModelFacet(FeatureLinkModelFacet object)

  Returns the result of interpretting the object as an instance of 'Feature Link Model Facet'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Feature Link Model Facet'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseViewmap

    public java.lang.Object caseViewmap(Viewmap object)

  Returns the result of interpretting the object as an instance of 'Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseAttributes

    public java.lang.Object caseAttributes(Attributes object)

  Returns the result of interpretting the object as an instance of 'Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseColorAttributes

    public java.lang.Object caseColorAttributes(ColorAttributes object)

  Returns the result of interpretting the object as an instance of 'Color Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Color Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseStyleAttributes

    public java.lang.Object caseStyleAttributes(StyleAttributes object)

  Returns the result of interpretting the object as an instance of 'Style Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Style Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseResizeConstraints

    public java.lang.Object caseResizeConstraints(ResizeConstraints object)

  Returns the result of interpretting the object as an instance of 'Resize Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Resize Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseDefaultSizeAttributes

    public java.lang.Object caseDefaultSizeAttributes(DefaultSizeAttributes object)

  Returns the result of interpretting the object as an instance of 'Default Size Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Default Size Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseLabelOffsetAttributes

    public java.lang.Object caseLabelOffsetAttributes(LabelOffsetAttributes object)

  Returns the result of interpretting the object as an instance of 'Label Offset Attributes'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Label Offset Attributes'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseFigureViewmap

    public java.lang.Object caseFigureViewmap(FigureViewmap object)

  Returns the result of interpretting the object as an instance of 'Figure Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Figure Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSnippetViewmap

    public java.lang.Object caseSnippetViewmap(SnippetViewmap object)

  Returns the result of interpretting the object as an instance of 'Snippet Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Snippet Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseInnerClassViewmap

    public java.lang.Object caseInnerClassViewmap(InnerClassViewmap object)

  Returns the result of interpretting the object as an instance of 'Inner Class Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Inner Class Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseParentAssignedViewmap

    public java.lang.Object caseParentAssignedViewmap(ParentAssignedViewmap object)

  Returns the result of interpretting the object as an instance of 'Parent Assigned Viewmap'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Parent Assigned Viewmap'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### casePalette

    public java.lang.Object casePalette(Palette object)

  Returns the result of interpretting the object as an instance of 'Palette'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Palette'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseEntryBase

    public java.lang.Object caseEntryBase(EntryBase object)

  Returns the result of interpretting the object as an instance of 'Entry Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Entry Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolEntry

    public java.lang.Object caseToolEntry(ToolEntry object)

  Returns the result of interpretting the object as an instance of 'Tool Entry'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Entry'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolGroupItem

    public java.lang.Object caseToolGroupItem(ToolGroupItem object)

  Returns the result of interpretting the object as an instance of 'Tool Group Item'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Group Item'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseSeparator

    public java.lang.Object caseSeparator(Separator object)

  Returns the result of interpretting the object as an instance of 'Separator'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Separator'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseToolGroup

    public java.lang.Object caseToolGroup(ToolGroup object)

  Returns the result of interpretting the object as an instance of 'Tool Group'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Tool Group'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenElementInitializer

    public java.lang.Object caseGenElementInitializer(GenElementInitializer object)

  Returns the result of interpretting the object as an instance of 'Gen Element Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Element Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFeatureSeqInitializer

    public java.lang.Object caseGenFeatureSeqInitializer(GenFeatureSeqInitializer object)

  Returns the result of interpretting the object as an instance of 'Gen Feature Seq Initializer'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Feature Seq Initializer'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenFeatureValueSpec

    public java.lang.Object caseGenFeatureValueSpec(GenFeatureValueSpec object)

  Returns the result of interpretting the object as an instance of 'Gen Feature Value Spec'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Feature Value Spec'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenLinkConstraints

    public java.lang.Object caseGenLinkConstraints(GenLinkConstraints object)

  Returns the result of interpretting the object as an instance of 'Gen Link Constraints'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Link Constraints'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRuleContainerBase

    public java.lang.Object caseGenRuleContainerBase(GenRuleContainerBase object)

  Returns the result of interpretting the object as an instance of 'Gen Rule Container Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Rule Container Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditContainer

    public java.lang.Object caseGenAuditContainer(GenAuditContainer object)

  Returns the result of interpretting the object as an instance of 'Gen Audit Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Audit Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditRule

    public java.lang.Object caseGenAuditRule(GenAuditRule object)

  Returns the result of interpretting the object as an instance of 'Gen Audit Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Audit Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRuleTarget

    public java.lang.Object caseGenRuleTarget(GenRuleTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Rule Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Rule Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDomainElementTarget

    public java.lang.Object caseGenDomainElementTarget(GenDomainElementTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Domain Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Domain Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDiagramElementTarget

    public java.lang.Object caseGenDiagramElementTarget(GenDiagramElementTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Diagram Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Diagram Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenDomainAttributeTarget

    public java.lang.Object caseGenDomainAttributeTarget(GenDomainAttributeTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Domain Attribute Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Domain Attribute Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenNotationElementTarget

    public java.lang.Object caseGenNotationElementTarget(GenNotationElementTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Notation Element Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Notation Element Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMetricContainer

    public java.lang.Object caseGenMetricContainer(GenMetricContainer object)

  Returns the result of interpretting the object as an instance of 'Gen Metric Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Metric Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMetricRule

    public java.lang.Object caseGenMetricRule(GenMetricRule object)

  Returns the result of interpretting the object as an instance of 'Gen Metric Rule'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Metric Rule'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditedMetricTarget

    public java.lang.Object caseGenAuditedMetricTarget(GenAuditedMetricTarget object)

  Returns the result of interpretting the object as an instance of 'Gen Audited Metric Target'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Audited Metric Target'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenAuditable

    public java.lang.Object caseGenAuditable(GenAuditable object)

  Returns the result of interpretting the object as an instance of 'Gen Auditable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Auditable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenMeasurable

    public java.lang.Object caseGenMeasurable(GenMeasurable object)

  Returns the result of interpretting the object as an instance of 'Gen Measurable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Measurable'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionProviderContainer

    public java.lang.Object caseGenExpressionProviderContainer(GenExpressionProviderContainer object)

  Returns the result of interpretting the object as an instance of 'Gen Expression Provider Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Expression Provider Container'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionProviderBase

    public java.lang.Object caseGenExpressionProviderBase(GenExpressionProviderBase object)

  Returns the result of interpretting the object as an instance of 'Gen Expression Provider Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Expression Provider Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenJavaExpressionProvider

    public java.lang.Object caseGenJavaExpressionProvider(GenJavaExpressionProvider object)

  Returns the result of interpretting the object as an instance of 'Gen Java Expression Provider'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Java Expression Provider'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenExpressionInterpreter

    public java.lang.Object caseGenExpressionInterpreter(GenExpressionInterpreter object)

  Returns the result of interpretting the object as an instance of 'Gen Expression Interpreter'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Expression Interpreter'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenRuleBase

    public java.lang.Object caseGenRuleBase(GenRuleBase object)

  Returns the result of interpretting the object as an instance of 'Gen Rule Base'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Rule Base'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseValueExpression

    public java.lang.Object caseValueExpression(ValueExpression object)

  Returns the result of interpretting the object as an instance of 'Value Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Value Expression'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### caseGenConstraint

    public java.lang.Object caseGenConstraint(GenConstraint object)

  Returns the result of interpretting the object as an instance of 'Gen Constraint'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Gen Constraint'.
  See Also:
    `doSwitch(EObject)`
  ** Generated **

### defaultCase

    public java.lang.Object defaultCase(EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `GMFGenSwitch.doSwitch(org.eclipse.emf.ecore.EObject)`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.